package jrummikub;

import javax.swing.UIManager;

import jrummikub.control.RoundControl;
import jrummikub.model.GameState;
import jrummikub.view.impl.View;

/**
 * The main class
 */
public class JRummikub {

	/**
	 * The main method
	 * 
	 * @param args
	 *          command line arguments
	 */
	public static void main(String[] args) {
		String nativeLF = UIManager.getSystemLookAndFeelClassName();

		try {
			UIManager.setLookAndFeel(nativeLF);
		} catch (Exception e) {
		}

		GameState gameState = new GameState();
		View view = new View();

		RoundControl roundControl = new RoundControl(gameState, view);
		roundControl.startRound();

	}

}
